<?php
namespace App\Presenters;

use App\Components\ManageFavoritesControl;
use App\Model\Film;
use App\Model\Orm;
use App\Model\Kategorie;
use App\Model\Serialy;
use App\Model\User;
use Nette;
use Nette\Application\UI\Form;
use Nette\ComponentModel\IComponent;
use Tracy\Debugger;

class ProfilPresenter extends BasePresenter
{

    public User $databaseUser;

    public function startup()
    {
        parent::startup(); // TODO: Change the autogenerated stub
        if ($this->getUser()->isLoggedIn()) {
            $this->databaseUser=$this->orm->users->getBy(['loginName'=>$this->user->id]);
        }else {
            $this->redirect('Homepage:default');
        }
    }

    public function renderFavourite()
    {

        $this->template->favouriteMovies=$this->databaseUser->filmy->get()->findBy([]);
        $this->template->favouriteVideos=$this->databaseUser->serialy->get()->findBy([]);

    }

    public function createComponentManageFavorite(string $name): ?IComponent
    {
        $component = new ManageFavoritesControl($this->databaseUser, $this->orm);

        return $component;
    }


}